User
a User in Confighub.
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/user |
List Users |
GET |
/user/{user_id} |
Get User |
List Users
GET /user
List Users
Operation ID: ListUsers
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Users returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on User: CreatedAt, DisplayName, ExternalID, Slug, UpdatedAt, UserID, Username. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the User list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (User). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for User include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of User |
| 400 | User request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | User not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing User. | application/json |
StandardErrorResponse |
| default | application/json |
Array of User |
Get User
GET /user/{user_id}
Get User
Operation ID: GetUser
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
user_id |
string | ✓ | Unique identifier for a user_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | a User in Confighub. | application/json |
User |
| 400 | User request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | User not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing User. | application/json |
StandardErrorResponse |
| default | a User in Confighub. | application/json |
User |
Schemas
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |
User
a User in Confighub.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
CreatedAt |
string (date-time) | The timestamp when the entity was created in "2023-01-01T12:00:00Z" format. | |
CursorID |
integer (int64) | An auto-incrementing sequence number used for pagination. | |
DisplayName |
string | Friendly name for the entity. | |
EntityType |
string | The type of entity. | |
ExternalID |
string | Unique identifier for the External Identity Provider record matching this User. | |
ProfilePictureURL |
string | The URL to get the profile avatar picture of the User. | |
Slug |
string | ✓ | Unique URL-safe identifier for the entity. |
UpdatedAt |
string (date-time) | The timestamp when the entity was last updated in "2023-01-01T12:00:00Z" format. | |
UserID |
string (uuid) | Unique identifier for a User. | |
Username |
string | Unique username for a User. Must be unique for all of Confighub. | |
Version |
integer (int64) | An entity-specific sequence number used for optimistic concurrency control. The value read must be sent in calls to Update. |